[med-svn] [Git][med-team/kmerresistance][master] 2 commits: Add autopkgtest

Andreas Tille (@tille) gitlab at salsa.debian.org
Mon Oct 9 16:11:02 BST 2023



Andreas Tille pushed to branch master at Debian Med / kmerresistance


Commits:
aa8d498c by Andreas Tille at 2023-10-09T17:09:31+02:00
Add autopkgtest

- - - - -
49d8b945 by Andreas Tille at 2023-10-09T17:09:44+02:00
routine-update: Standards-Version: 4.6.2

- - - - -


4 changed files:

- debian/changelog
- debian/control
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,14 @@
+kmerresistance (2.2.0-5) UNRELEASED; urgency=medium
+
+  [ Luma ]
+  * Add autopkgtest
+    Closes: #1009159
+
+  [ Andreas Tille ]
+  * Standards-Version: 4.6.2 (routine-update)
+
+ -- Andreas Tille <tille at debian.org>  Mon, 09 Oct 2023 17:09:07 +0200
+
 kmerresistance (2.2.0-4) unstable; urgency=medium
 
   * d/watch: switch to git mode following changes in bitbucket.


=====================================
debian/control
=====================================
@@ -6,7 +6,7 @@ Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                kma
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/kmerresistance
 Vcs-Git: https://salsa.debian.org/med-team/kmerresistance.git
 Homepage: https://bitbucket.org/genomicepidemiology/kmerresistance


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, build-essential
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+pkg=kmerresistance 
+
+export LC_ALL=C.UTF-8
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+
+echo "Testing C binary"
+kmerresistance -i reads_se.fq.gz -o output/name -t_db templates -s_db species
+kmerresistance -ipe reads_1.fq.gz reads_2.fq.gz -o output/name -t_db templates -s_db species
+echo "PASS"
+
+echo "Test Templates"
+kma index -i ResFinder.fsa -o ResFinder
+kma index -i bacteria.fsa -o bacteria -Sparse ATG
+kmerresistance -i sample_1.fastq sample_2.fastq -o out -t_db ResFinder -s_db bacteria
+echo "PASS"
+
+
+



View it on GitLab: https://salsa.debian.org/med-team/kmerresistance/-/compare/ff2ca609c9e2c7602eaf516d3397d063f6810ade...49d8b945aee1ccf460b7d28f7553e7f70402fab0

-- 
View it on GitLab: https://salsa.debian.org/med-team/kmerresistance/-/compare/ff2ca609c9e2c7602eaf516d3397d063f6810ade...49d8b945aee1ccf460b7d28f7553e7f70402fab0
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231009/4d46300b/attachment-0001.htm>


More information about the debian-med-commit mailing list